let tasks = [
  {done: true, description: "Do Laundry"},
  {done: false, description: "Do Homework"},
  {done: false, description: "Do Chores"},

]

class TaskView {
  static template = `
    <input type="checkbox" name="done"/> 
    <task-description> -- </task-description>
  `

  constructor(task){
    this.task = task
    this.element = document.createElement("task-summary")
    this.element.innerHTML = this.constructor.template
    this.update()
  }

  update() {
    this.element.querySelector("[name=done]").checked = this.task.done
    this.element.querySelector("task-description").innerText = this.task.description
  }
}

class DetailTaskView {

  constructor(element){
    this.element = element
  }

  update(task) {
    this.element.querySelector("[name=done]").checked = task.done
    this.element.querySelector("[name=description]").value = task.description
  }
}

let detail_view = new DetailTaskView(document.querySelector("task-detail"))

let list = document.querySelector("task-list")

for (let task of tasks){
  let view = new TaskView(task)

  view.element.addEventListener("click", () => detail_view.update(task) )

  list.appendChild(view.element)
}